<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>Contact Us</h5>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Contact Us mangement
                    </div>
                    <div class="card-body">
                        <div class="row">

                            <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                <div class="p-2 flex-fill bd-highlight">

                                    <div class="form-group">
                                        <div class="input-group">
                                            <input type="text" class="form-control" placeholder="Search" type="text"
                                                [(ngModel)]="searchText">
                                            <div class="input-group-append">
                                                <span class="input-group-text btnclrs">
                                                    <i class="fa fa-search"></i>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class=" flex-fill bd-highlight">
                                    <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                        title="Excel" (click)="exportAsXLSX()">
                                        <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                    </button>
                                </div>

                            </div>

                        </div>
                        <hr>
                        <table class="table table-striped table-bordered">
                            <thead>
                                <tr>
                                    <th scope="col">Sl.No</th>
                                    <th scope="col">Name</th>
                                    <th scope="col">Email</th>
                                    <th scope="col">Mobile Number</th>
                                    <th scope="col">Feedback</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr
                                    *ngFor="let contactus of contactusArray | filter:searchText | paginate: { itemsPerPage: 15, currentPage: p }; let i= index">
                                    <th *ngIf="p>1">{{((p-1)*15)+(i+1)}}</th>
                                    <th *ngIf="p===1">{{i+1}}</th>
                                    <td>{{contactus.name}}</td>
                                    <td>{{contactus.email}}</td>
                                    <td>{{contactus.phoneNum}}</td>
                                    <td>{{contactus.feedback}}</td>
                                    <td>
                                        <ui-switch [(ngModel)]="contactus.status"></ui-switch>
                                    </td>
                                    <td>
                                        <a class="btn edit" (click)="updateModal(contactus)">
                                            <i class="fa fa-pencil" aria-hidden="true"></i>
                                        </a>
                                    </td>
                                </tr>

                            </tbody>
                        </table>
                        <div class="text-center">
                            <pagination-controls (pageChange)="p = $event"></pagination-controls>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>


<!-- Modal -->
<div class="modal fade" id="statusUpdateModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Update Status</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="" [formGroup]="updateStatusForm" (ngSubmit)="onSubmit()">
                    <input type="hidden" formControlName="id">
                    <label for="">Status:</label>
                    <select class="form-control" formControlName="status">
                        <option value="1">Active</option>
                        <option value="0">Inactive</option>

                    </select>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-success" id="submitModal">Save changes</button>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>